Subject: bug#63271: 29.0.90; broken mouse-face

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 May 2023 14:00:27 +0300

> Date: Tue, 09 May 2023 23:19:35 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Juri Linkov <[email-masked]>, [email-masked], [email-masked], 
>     [email-masked]
> 
> I confirm that this bug is due to 85a078e785, which added, in
> ftcrfont_draw, a
> 
> s->background_filled_p = 1;
> 
> statement inside a #ifndef USE_BE_CAIRO (note the "n").  A few days later 
> a1aa9cbf57 moved that statement ouside of the conditional.  Removing that 
> statement fixes the bug.  I'm not sure what that statement is supposed to 
> do however, it might be necessary, but only for Haiku.

Thanks.

Po Lu, was that change intentional?  If not, let's remove that line or
move it under some conditional that doesn't include all Cairo builds.
If it was intentional, please explain why, and let's take it from
there.